Name: scilab
Version: 5.1.1
Release: alt3
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
Summary: A high-level language and system for numerical computations
License: INRIA
Group: Sciences/Mathematics
Obsoletes:%name-doc

Source0: %name-%version.tar.bz2
Source1: scilab-16.png
Source2: scilab-32.png
Source3: scilab-48.png
Source4: scilab.menu

Patch1: scilab-5.0.3-find-jhall.patch
Patch2: scilab-5.0.3-find-jgoodies-looks.patch
Patch3: scilab-5.1.1-find-xml-apis-ext.patch
Patch4: scilab-5.1.1-include-math.patch
Patch5: scilab-5.1.1-alt-linking.patch
Patch6: scilab-5.1.1-alt-librarypath.patch

URL: http://www.scilab.org
AutoReq: yes, noshell

BuildRequires(pre): rpm-build-java
# Automatically added by buildreq on Sat Sep 12 2009
BuildRequires: ant-commons-logging avalon-framework docbook-style-xsl flexdock gcc-c++ gcc-fortran imake javahelp2 jeuclid jgoodies-looks jrosetta libICE-devel libatlas-devel libfftw3-devel libjogl libjogl-gluegen libmatio-devel libncurses-devel libpcre-devel libxml2-devel ocaml saxon skinlf tk-devel tzdata xmlgraphics-fop xorg-cf-files

Requires: flexdock jgoodies-looks skinlf libjogl libjogl-gluegen jrosetta ant-commons-logging avalon-framework
Requires: javahelp2 docbook-style-xsl xmlgraphics-batik saxon xmlgraphics-fop jeuclid xml-commons-jaxp-1.3-apis

%description
Scilab is a high-level language, primarily intended for numerical
computations.  Scilab includes a number of toolboxes and on-line
documentation.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%define _configure_target %{_arch}-pc-linux-gnu
aclocal
%configure --enable-shared --enable-static=no --with-xaw3d --with-tk --with-gfortran  --with-tcl-library=%{_libdir} --with-tk-library=%{_libdir} --enable-debug --with-pic --with-gtk2 --without-pvm --without-umfpack --enable-build-help

%make
%make doc

%install

%make DESTDIR="%buildroot" install

%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT/%_miconsdir/%name.png
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT/%_niconsdir/%name.png
%__install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT/%_liconsdir/%name.png
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT/%_menudir/%name

%find_lang %name

%files -f %name.lang
%_bindir/*
%_libdir/pkgconfig/*
%_libdir/%name
%_includedir/%name
%_datadir/%name

%_menudir/*
%_niconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%changelog
* Tue Oct 20 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 5.1.1-alt3
- build doc (ALT #21904)

* Sat Sep 12 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 5.1.1-alt2
- remove libumfpack-devel from buildrequres

* Thu Jul 16 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 5.1.1-alt1
- 5.1.1

* Wed Dec 24 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt6
- with gtk2, bugfix for #18307 ALT bugzilla

* Wed Sep 24 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt5
- Fix bug with not working editor (#17318) 

* Sat Sep 20 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt4
- repocop suggested change /tmp to /home/denis/tmp for safety

* Tue May 06 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt3
- bug 15556 - BWidged removed and used in-system

* Tue May 06 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt1.M40.1
- Updates to Branch M40

* Tue May 06 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt2
- repocop icondirs

* Tue May 06 2008 Denis Medvedev <nbr@altlinux.ru> 4.1.2-alt1
 - 4.1.2 version from upstream

* Fri Sep 28 2007 Denis Medvedev <nbr@altlinux.ru> 4.1.1-alt1.3
- Debug option, pic option

* Thu Aug 30 2007 Denis Medvedev <nbr@altlinux.ru> 4.1.1-alt1.2
- changes for x86_64 compilation

* Tue Aug 28 2007 Denis Medvedev <nbr@altlinux.ru> 4.1.1-alt1.1
- Taken from orphaned, new version

* Wed Feb 08 2006 ALT QA Team Robot <qa-robot@altlinux.org> 3.1.1-alt1.1
- Rebuild with libXaw3d.so.8 .

* Tue Dec 20 2005 Dimitry V. Ketov <dketov@altlinux.ru> 3.1.1-alt1
- 3.1.1
- app-defaults location fix

* Wed Dec 08 2004 Dimitry V. Ketov <dketov@altlinux.ru> 3.0-alt1
- 3.0
- misc. spec bugfixes, sources clean before build
- menu and new scilab mascot icons

* Tue Apr 08 2003 Stanislav Ievlev <inger@altlinux.ru> 2.7-alt1
- 2.7

* Mon Oct  7 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.6-alt8
- rebuilt with tcl 8.4

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 2.6-alt7
- rebuild with new XFree86

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.6-alt6
- rebuild with gcc3
- termcap -> terminfo

* Sat Jun 15 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.6-alt5
- rebuilt in new env

* Mon Dec 24 2001 Stanislav Ievlev <inger@altlinux.ru> 2.6-alt4
- fix links in app-defaults

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 2.6-alt3
- MDK merges

* Fri May 25 2001 Stanislav Ievlev <inger@altlinux.ru> 2.6-alt2
- path bugfix. Remove doc package.

* Thu Apr 12 2001 Stanislav Ievlev <inger@altlinux.ru> 2.6-alt1
- Up to 2.6. spec clean up and bugfix

* Thu Jan 09 2001 AEN <aen@logic.ru>
- adopted for RE

* Sun Oct 22 2000 Fernando M. Roxo da Motta <roxo@conectiva.com.br>
- inserted documentation package

* Fri Oct 20 2000 Fernando M. Roxo da Motta <roxo@conectiva.com.br>
- Fixed hardwired PATH's

* Wed Oct 18 2000 Fernando M. Roxo da Motta <roxo@conectiva.com.br>
- Packaged for Conectiva Linux
- Fixed a lot of macros

* Tue Sep 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-3mdk
- build release
- macros
- menu

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-2mdk
- bzip2 patches
- fix group

* Tue Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive

* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- exludearch alpha

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- clean up dependencies

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4.1

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- Upgrade to 2.4.

* Thu Oct 22 1998 Jeff Johnson <jbj@redhat.com>
- Fixes to permit compile on alpha.
- Eliminate lurking dependencies on /bin/sh5 and SCILABGS.
- Modify default value of SCI variable to be correct for users.
- Add /usr/bin/scilab symlink.

* Sat Jul 11 1998 Jeff Johnson <jbj@redhat.com>
- Create powertools package.

